Simon the Sorcerer – Legacy Edition (Hebrew)

Simon the Sorcerer – Legacy Edition (Hebrew)

The Legacy Edition of "Simon the Sorcerer", using latest ScummVM software to run on modern platforms (Windows, macOS and Linux).


 

PC requirements:
Minimum:
  • OS: Windows XP or later
  • Processor: 1.0 GHz Processor
  • Memory: 512 MB RAM
Recommended:
  • OS: Windows XP or later
  • Processor: 1.4 GHz Processor
  • Memory: 1024 MB RAM

MAC requirements:
Minimum:
  • OS: OS X 10.6.8 or later
  • Processor: Intel Mac 1.8 Ghz Processor
  • Memory: 1024 MB RAM

Linux requirements:
Minimum:
  • OS: Ubuntu 16.04 LTS
  • Processor: Intel Mac 1.8 Ghz Processor
  • Memory: 1024 MB RAM

Leave a Reply

Your email address will not be published.

You may be also interested in these game's requirements: